# smeshDC.Mesh_RadialPrism3D Class Reference

Class to define a Radial Prism 3D algorithm. More...

Inheritance diagram for smeshDC.Mesh_RadialPrism3D:

## Public Member Functions
def | __init__
| Private constructor.
def | Get3DHypothesis
| Return 3D hypothesis holding the 1D one.
def | OwnHypothesis
| Private method creating 1D hypothes and storing it in the LayerDistribution hypothes.
def | NumberOfLayers
| Define "NumberOfLayers" hypothesis, specifying a number of layers of prisms to build between the inner and outer shells.
def | LocalLength
| Define "LocalLength" hypothesis, specifying segment length to build between the inner and outer shells.
def | NumberOfSegments
| Define "NumberOfSegments" hypothesis, specifying a number of layers of prisms to build between the inner and outer shells.
def | Arithmetic1D
| Define "Arithmetic1D" hypothesis, specifying distribution of segments to build between the inner and outer shells as arithmetic length increasing.
def | StartEndLength
| Define "StartEndLength" hypothesis, specifying distribution of segments to build between the inner and outer shells as geometric length increasing.
def | AutomaticLength
| Define "AutomaticLength" hypothesis, specifying number of segments to build between the inner and outer shells.
def | __init__
def | GetSubMesh
| If the algorithm is global, return 0; else return the submesh associated to this algorithm.
def | GetAlgorithm
| Return the wrapped mesher.
def | GetCompatibleHypothesis
| Get list of hypothesis that can be used with this algorithm.
def | GetName
| Get name of algo.
def | SetName
| Set name to algo.
def | GetId
| Get id of algo.
def | Create
| Private method.
def | Hypothesis
| Private method.
## Data Fields
| distribHyp
| nbLayers
| smesh
| mesh
| geom
| subm
| algo

## Detailed Description

More details.

## Member Function Documentation

def smeshDC.Mesh_RadialPrism3D.__init__ | ( |  | self,
|  |  | mesh,
|  |  | geom = `0` |
| ) |  |  |

def smeshDC.Mesh_RadialPrism3D.Get3DHypothesis | ( |  | self | ) |

def smeshDC.Mesh_RadialPrism3D.OwnHypothesis | ( |  | self,
|  |  | hypType,
|  |  | args = `[]`,
|  |  | so = `"libStdMeshersEngine.so"` |
| ) |  |  |

Returns the created hypothes

def smeshDC.Mesh_RadialPrism3D.NumberOfLayers | ( |  | self,
|  |  | n |
| ) |  |  |

def smeshDC.Mesh_RadialPrism3D.LocalLength | ( |  | self,
|  |  | l |
| ) |  |  |

Parameters:

  | l | for the length of segments

def smeshDC.Mesh_RadialPrism3D.NumberOfSegments | ( |  | self,
|  |  | n,
|  |  | s = `[]` |
| ) |  |  |

Parameters:

  | n | for the number of segments
  | s | for the scale factor (optional)

def smeshDC.Mesh_RadialPrism3D.Arithmetic1D | ( |  | self,
|  |  | start,
|  |  | end |
| ) |  |  |

Parameters:

  | start | for the length of the first segment
  | end | for the length of the last segment

def smeshDC.Mesh_RadialPrism3D.StartEndLength | ( |  | self,
|  |  | start,
|  |  | end |
| ) |  |  |

Parameters:

  | start | for the length of the first segment
  | end | for the length of the last segment

def smeshDC.Mesh_RadialPrism3D.AutomaticLength | ( |  | self,
|  |  | fineness = `0` |
| ) |  |  |

Parameters:

  | fineness | for the fineness [0-1]

def smeshDC.Mesh_Algorithm.__init__ | ( |  | self,
|  |  | smesh |
| ) |  |  | `[inherited]`

def smeshDC.Mesh_Algorithm.GetSubMesh | ( |  | self | ) | `[inherited]`

def smeshDC.Mesh_Algorithm.GetAlgorithm | ( |  | self | ) | `[inherited]`

def smeshDC.Mesh_Algorithm.GetCompatibleHypothesis | ( |  | self | ) | `[inherited]`

def smeshDC.Mesh_Algorithm.GetName | ( |  | self | ) | `[inherited]`

def smeshDC.Mesh_Algorithm.SetName | ( |  | self,
|  |  | name |
| ) |  |  | `[inherited]`

def smeshDC.Mesh_Algorithm.GetId | ( |  | self | ) | `[inherited]`

def smeshDC.Mesh_Algorithm.Create | ( |  | self,
|  |  | mesh,
|  |  | geom,
|  |  | hypo,
|  |  | so = `"libStdMeshersEngine.so"` |
| ) |  |  | `[inherited]`

def smeshDC.Mesh_Algorithm.Hypothesis | ( |  | self,
|  |  | hyp,
|  |  | args = `[]`,
|  |  | so = `"libStdMeshersEngine.so"` |
| ) |  |  | `[inherited]`

## Field Documentation

smeshDC.Mesh_RadialPrism3D.distribHyp

smeshDC.Mesh_RadialPrism3D.nbLayers

smeshDC.Mesh_Algorithm.smesh`[inherited]`

smeshDC.Mesh_Algorithm.mesh`[inherited]`

smeshDC.Mesh_Algorithm.geom`[inherited]`

Reimplemented in smeshDC.Mesh_Segment.

smeshDC.Mesh_Algorithm.subm`[inherited]`

smeshDC.Mesh_Algorithm.algo`[inherited]`